Skip to main content
Player

Create/Update a media file and play it on a player

If you specify an existing media file id in the request body the uploaded file will overwrite that media library item. Otherwise a new media library item will be created using the uploaded file.

POST
/api/v1/player/Play

Will preempt everything other than urgent alerts.

On success, response includes an integer push_id that can be used with the DELETE method to revoke this content assignment.

Expiration must be in the form ###m (example 10m for 10 minutes) or in UTC (2018-10-09T12:30:00Z)

Authorizationstringheaderrequired

Access token from POST /api/v1/auth/login

namestringquery

player name

Example: sample_player
idstringquery

player id

tagstringquery

search tag

durationintegerquery

length of time to play media item

Example: 15
startstringquery

Start datetime (format: yyyy-mm-dd hh:mm:ss) player local time)

endstringquery

end datetime (format: yyyy-mm-dd hh:mm:ss) player local time)

Body

multipart/form-data

copyright

filestring

content to display (new content or updated version of content)

idinteger

id of an existing media file to overwrite

Example: 1
namestring

media library file name including optional folder

Example: sample_player
tagsstring

assign these tags to the new media (ignored if new media is not supplied)

Example: [ "tag1","tag2", "tag3" ]

Response

200application/json

OK

itemsobject[]